<?php
$tdataservices = array();
$tdataservices[".searchableFields"] = array();
$tdataservices[".ShortName"] = "services";
$tdataservices[".OwnerID"] = "";
$tdataservices[".OriginalTable"] = "services";


$tdataservices[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdataservices[".originalPagesByType"] = $tdataservices[".pagesByType"];
$tdataservices[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdataservices[".originalPages"] = $tdataservices[".pages"];
$tdataservices[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdataservices[".originalDefaultPages"] = $tdataservices[".defaultPages"];

//	field labels
$fieldLabelsservices = array();
$fieldToolTipsservices = array();
$pageTitlesservices = array();
$placeHoldersservices = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsservices["English"] = array();
	$fieldToolTipsservices["English"] = array();
	$placeHoldersservices["English"] = array();
	$pageTitlesservices["English"] = array();
	$fieldLabelsservices["English"]["serviceID"] = "رقم";
	$fieldToolTipsservices["English"]["serviceID"] = "";
	$placeHoldersservices["English"]["serviceID"] = "";
	$fieldLabelsservices["English"]["serviceCode"] = "رمز الخدمة";
	$fieldToolTipsservices["English"]["serviceCode"] = "";
	$placeHoldersservices["English"]["serviceCode"] = "";
	$fieldLabelsservices["English"]["serviceName"] = "إسم الخدمة";
	$fieldToolTipsservices["English"]["serviceName"] = "";
	$placeHoldersservices["English"]["serviceName"] = "";
	$fieldLabelsservices["English"]["serviceCost"] = "كلفة الخدمة";
	$fieldToolTipsservices["English"]["serviceCost"] = "";
	$placeHoldersservices["English"]["serviceCost"] = "";
	if (count($fieldToolTipsservices["English"]))
		$tdataservices[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabelsservices["Arabic"] = array();
	$fieldToolTipsservices["Arabic"] = array();
	$placeHoldersservices["Arabic"] = array();
	$pageTitlesservices["Arabic"] = array();
	$fieldLabelsservices["Arabic"]["serviceID"] = "رقم";
	$fieldToolTipsservices["Arabic"]["serviceID"] = "";
	$placeHoldersservices["Arabic"]["serviceID"] = "";
	$fieldLabelsservices["Arabic"]["serviceCode"] = "رمز الخدمة";
	$fieldToolTipsservices["Arabic"]["serviceCode"] = "";
	$placeHoldersservices["Arabic"]["serviceCode"] = "";
	$fieldLabelsservices["Arabic"]["serviceName"] = "إسم الخدمة";
	$fieldToolTipsservices["Arabic"]["serviceName"] = "";
	$placeHoldersservices["Arabic"]["serviceName"] = "";
	$fieldLabelsservices["Arabic"]["serviceCost"] = "كلفة الخدمة";
	$fieldToolTipsservices["Arabic"]["serviceCost"] = "";
	$placeHoldersservices["Arabic"]["serviceCost"] = "";
	if (count($fieldToolTipsservices["Arabic"]))
		$tdataservices[".isUseToolTips"] = true;
}


	$tdataservices[".NCSearch"] = true;



$tdataservices[".shortTableName"] = "services";
$tdataservices[".nSecOptions"] = 0;

$tdataservices[".mainTableOwnerID"] = "";
$tdataservices[".entityType"] = 0;
$tdataservices[".connId"] = "electiondb_at_ssl_localhost";


$tdataservices[".strOriginalTableName"] = "services";

	



$tdataservices[".showAddInPopup"] = false;

$tdataservices[".showEditInPopup"] = false;

$tdataservices[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataservices[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataservices[".listAjax"] = false;
//	temporary
$tdataservices[".listAjax"] = false;

	$tdataservices[".audit"] = false;

	$tdataservices[".locking"] = false;


$pages = $tdataservices[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataservices[".edit"] = true;
	$tdataservices[".afterEditAction"] = 1;
	$tdataservices[".closePopupAfterEdit"] = 1;
	$tdataservices[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataservices[".add"] = true;
$tdataservices[".afterAddAction"] = 1;
$tdataservices[".closePopupAfterAdd"] = 1;
$tdataservices[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataservices[".list"] = true;
}



$tdataservices[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataservices[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataservices[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataservices[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataservices[".printFriendly"] = true;
}



$tdataservices[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataservices[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataservices[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataservices[".isUseAjaxSuggest"] = true;

$tdataservices[".rowHighlite"] = true;





$tdataservices[".ajaxCodeSnippetAdded"] = false;

$tdataservices[".buttonsAdded"] = false;

$tdataservices[".addPageEvents"] = false;

// use timepicker for search panel
$tdataservices[".isUseTimeForSearch"] = false;


$tdataservices[".badgeColor"] = "E8926F";


$tdataservices[".allSearchFields"] = array();
$tdataservices[".filterFields"] = array();
$tdataservices[".requiredSearchFields"] = array();

$tdataservices[".googleLikeFields"] = array();
$tdataservices[".googleLikeFields"][] = "serviceID";
$tdataservices[".googleLikeFields"][] = "serviceCode";
$tdataservices[".googleLikeFields"][] = "serviceName";
$tdataservices[".googleLikeFields"][] = "serviceCost";



$tdataservices[".tableType"] = "list";

$tdataservices[".printerPageOrientation"] = 0;
$tdataservices[".nPrinterPageScale"] = 100;

$tdataservices[".nPrinterSplitRecords"] = 40;

$tdataservices[".geocodingEnabled"] = false;










$tdataservices[".pageSize"] = 20;

$tdataservices[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataservices[".strOrderBy"] = $tstrOrderBy;

$tdataservices[".orderindexes"] = array();


$tdataservices[".sqlHead"] = "SELECT serviceID,  	serviceCode,  	serviceName,  	serviceCost";
$tdataservices[".sqlFrom"] = "FROM services";
$tdataservices[".sqlWhereExpr"] = "";
$tdataservices[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataservices[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataservices[".arrGroupsPerPage"] = $arrGPP;

$tdataservices[".highlightSearchResults"] = true;

$tableKeysservices = array();
$tableKeysservices[] = "serviceID";
$tdataservices[".Keys"] = $tableKeysservices;


$tdataservices[".hideMobileList"] = array();




//	serviceID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "serviceID";
	$fdata["GoodName"] = "serviceID";
	$fdata["ownerTable"] = "services";
	$fdata["Label"] = GetFieldLabel("services","serviceID");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "serviceID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "serviceID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataservices["serviceID"] = $fdata;
		$tdataservices[".searchableFields"][] = "serviceID";
//	serviceCode
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "serviceCode";
	$fdata["GoodName"] = "serviceCode";
	$fdata["ownerTable"] = "services";
	$fdata["Label"] = GetFieldLabel("services","serviceCode");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "serviceCode";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "serviceCode";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=10";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
			$edata["validateAs"]["basicValidate"][] = "DenyDuplicated";
	$edata["validateAs"]["customMessages"]["DenyDuplicated"] = array("message" => "Value %value% already exists", "messageType" => "Text");

	
	//	End validation

	
			
	
		$edata["denyDuplicates"] = true;

	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataservices["serviceCode"] = $fdata;
		$tdataservices[".searchableFields"][] = "serviceCode";
//	serviceName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "serviceName";
	$fdata["GoodName"] = "serviceName";
	$fdata["ownerTable"] = "services";
	$fdata["Label"] = GetFieldLabel("services","serviceName");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "serviceName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "serviceName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
			$edata["validateAs"]["basicValidate"][] = "DenyDuplicated";
	$edata["validateAs"]["customMessages"]["DenyDuplicated"] = array("message" => "Value %value% already exists", "messageType" => "Text");

	
	//	End validation

	
			
	
		$edata["denyDuplicates"] = true;

	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataservices["serviceName"] = $fdata;
		$tdataservices[".searchableFields"][] = "serviceName";
//	serviceCost
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "serviceCost";
	$fdata["GoodName"] = "serviceCost";
	$fdata["ownerTable"] = "services";
	$fdata["Label"] = GetFieldLabel("services","serviceCost");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "serviceCost";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "serviceCost";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataservices["serviceCost"] = $fdata;
		$tdataservices[".searchableFields"][] = "serviceCost";


$tables_data["services"]=&$tdataservices;
$field_labels["services"] = &$fieldLabelsservices;
$fieldToolTips["services"] = &$fieldToolTipsservices;
$placeHolders["services"] = &$placeHoldersservices;
$page_titles["services"] = &$pageTitlesservices;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["services"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["services"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_services()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "serviceID,  	serviceCode,  	serviceName,  	serviceCost";
$proto0["m_strFrom"] = "FROM services";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "serviceID",
	"m_strTable" => "services",
	"m_srcTableName" => "services"
));

$proto6["m_sql"] = "serviceID";
$proto6["m_srcTableName"] = "services";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "serviceCode",
	"m_strTable" => "services",
	"m_srcTableName" => "services"
));

$proto8["m_sql"] = "serviceCode";
$proto8["m_srcTableName"] = "services";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "serviceName",
	"m_strTable" => "services",
	"m_srcTableName" => "services"
));

$proto10["m_sql"] = "serviceName";
$proto10["m_srcTableName"] = "services";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "serviceCost",
	"m_strTable" => "services",
	"m_srcTableName" => "services"
));

$proto12["m_sql"] = "serviceCost";
$proto12["m_srcTableName"] = "services";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto14=array();
$proto14["m_link"] = "SQLL_MAIN";
			$proto15=array();
$proto15["m_strName"] = "services";
$proto15["m_srcTableName"] = "services";
$proto15["m_columns"] = array();
$proto15["m_columns"][] = "serviceID";
$proto15["m_columns"][] = "serviceCode";
$proto15["m_columns"][] = "serviceName";
$proto15["m_columns"][] = "serviceCost";
$obj = new SQLTable($proto15);

$proto14["m_table"] = $obj;
$proto14["m_sql"] = "services";
$proto14["m_alias"] = "";
$proto14["m_srcTableName"] = "services";
$proto16=array();
$proto16["m_sql"] = "";
$proto16["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto16["m_column"]=$obj;
$proto16["m_contained"] = array();
$proto16["m_strCase"] = "";
$proto16["m_havingmode"] = false;
$proto16["m_inBrackets"] = false;
$proto16["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto16);

$proto14["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto14);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="services";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_services = createSqlQuery_services();


	
		;

				

$tdataservices[".sqlquery"] = $queryData_services;



$tableEvents["services"] = new eventsBase;
$tdataservices[".hasEvents"] = false;

?>